curl --request POST \
--url https://api.vaultcord.com/market/buy \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"marketId": 618,
"inviteLink": "dyno",
"userEmail": "william@nelsoncybersecurity.com",
"amount": 100,
"budget": 2000
}
'import requests
url = "https://api.vaultcord.com/market/buy"
payload = {
"marketId": 618,
"inviteLink": "dyno",
"userEmail": "william@nelsoncybersecurity.com",
"amount": 100,
"budget": 2000
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
marketId: 618,
inviteLink: 'dyno',
userEmail: 'william@nelsoncybersecurity.com',
amount: 100,
budget: 2000
})
};
fetch('https://api.vaultcord.com/market/buy', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": {
"newBalance": 550,
"url": "https://dash.vaultcord.com/market-order?ref=c444b1c9fa354ffcbf3b6c99300fc0d9",
"inviteUrl": "https://discord.com/oauth2/authorize?client_id=155149108183695360&permissions=1&scope=bot&guild_id=203039963636301824",
"reference": "c444b1c9fa354ffcbf3b6c99300fc0d9",
"orderId": "API-c444b1c9fa354ffcbf3b6c99300fc0d9",
"amount": 100,
"guildId": "203039963636301824",
"inviteCode": "dyno",
"userEmail": "william@nelsoncybersecurity.com",
"status": "paid",
"clientId": "1377453171714293860",
"cost": 150,
"created_at": 1751225426
}
}{
"success": false,
"message": "Your balance is zero. Please top up balance on dashboard."
}Buy Members
Buy Members
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
Details for placing a member marketplace order
The marketplace listing ID. You can get this by listing sellers or viewing https://vaultcord.com/market?developers=1
618
Send the Discord.gg invite link we should deliver members to
"dyno"
Buyer email. You SHOULD send a unique email every time because we will show errors if a buyer attempts to buy same members twice.
"william@nelsoncybersecurity.com"
The number of members being purchased.
100
(Optional) Limit the total cost of the order (since we've been told some sellers are naughty and raise prices suddenly) in cents. For example if you want the whole order to cost less than $20, then it will show as 2000
2000
Was this page helpful?